Bug 1588708 (CVE-2016-1000341) - CVE-2016-1000341 bouncycastle: Information exposure in DSA signature generation via timing attack
Summary: CVE-2016-1000341 bouncycastle: Information exposure in DSA signature generati...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-1000341
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1588709 1588710 1588711 1589580 1589581 1592662
Blocks: 1588310
TreeView+ depends on / blocked
 
Reported: 2018-06-07 18:22 UTC by Pedro Sampaio
Modified: 2019-09-29 14:41 UTC (History)
60 users (show)

Fixed In Version: bouncycastle 1.56
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:27:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2669 None None None 2018-09-11 07:57:35 UTC
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:25:36 UTC

Description Pedro Sampaio 2018-06-07 18:22:11 UTC
In the Bouncy Castle JCE Provider version 1.55 and earlier DSA signature
generation is vulnerable to timing attack. Where timings can be closely observed
for the generation of signatures, the lack of blinding in 1.55, or earlier, may
allow an attacker to gain information about the signature's k value and
ultimately the private value as well.

Upstream patch:

https://github.com/bcgit/bc-java/commit/acaac81f96fec91ab45bd0412beaf9c3acd8defa#diff-e75226a9ca49217a7276b29242ec59ce

Comment 1 Pedro Sampaio 2018-06-07 18:23:02 UTC
Created bouncycastle tracking bugs for this issue:

Affects: epel-all [bug 1588711]
Affects: fedora-all [bug 1588709]

Comment 3 Mat Booth 2018-06-07 20:07:06 UTC
(In reply to Pedro Sampaio from comment #1)
> Affects: fedora-all [bug 1588709]

Fedora already carries bouncycastle newer than 1.56, so I will close this bug.

Comment 6 Kurt Seifried 2018-06-10 20:29:28 UTC
Statement:

This issue affects the versions of bouncycastle as shipped with Red Hat Subscription Asset Manager 1.x. Red Hat Product Security has rated this issue as having a security impact of Moderate. No update is planned for this product at this time. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 8 errata-xmlrpc 2018-09-11 07:57:14 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Fuse

Via RHSA-2018:2669 https://access.redhat.com/errata/RHSA-2018:2669

Comment 9 errata-xmlrpc 2018-10-16 15:25:12 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 6.4 for RHEL 7

Via RHSA-2018:2927 https://access.redhat.com/errata/RHSA-2018:2927

Comment 10 Joshua Padman 2019-05-15 22:52:28 UTC
This vulnerability is out of security support scope for the following product:
 * Red Hat JBoss Data Virtualization & Services 6

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.


Note You need to log in before you can comment on or make changes to this bug.